summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@xsmail.com>2011-03-01 20:56:00 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-01 20:56:00 -0300
commit608ee7d87a8a634cdbf8dfd88e31e681368bfd7e (patch)
tree9657ae61199038571cf7dca6bc9d74b3bae3df34 /multimedia
parentd4104adf31b49284e4392e2f27aa83d4efd52117 (diff)
downloadslackbuilds-608ee7d87a8a634cdbf8dfd88e31e681368bfd7e.tar.gz
slackbuilds-608ee7d87a8a634cdbf8dfd88e31e681368bfd7e.tar.xz
multimedia/ripit: Added (command line audio CD ripper)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/ripit/README32
-rw-r--r--multimedia/ripit/doinst.sh15
-rw-r--r--multimedia/ripit/ripit.SlackBuild66
-rw-r--r--multimedia/ripit/ripit.info10
-rw-r--r--multimedia/ripit/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/multimedia/ripit/README b/multimedia/ripit/README
new file mode 100644
index 0000000000..903706601e
--- /dev/null
+++ b/multimedia/ripit/README
@@ -0,0 +1,32 @@
+RipIT is used to create MPEG-1 Layer 3 (mp3) using Lame, or uses Flac (flac),
+Ogg Vorbis (ogg), Faac (m4a), Musepack (mpc), mp4als (als), Wavpack (wv) or
+ffmpeg to convert audio files (wav) extracted from an audio CD.
+It is a console based front-end (no GUI here), written in Perl, for these
+programs (which must be installed -- at least one out of each category):
+
+* dagrab, cdparanoia or cdda2wav (tosha and cdd are also supported)
+for ripping the audio CD tracks
+* Lame, OggVorbis, Flac or Faac, Musepack, mp4als, Wavpack or ffmpeg for
+encoding the wav files to a compressed format
+
+Optionally, ripit can use:
+
+* CDDB_get 2.27 or higher, a Perl module for CDDB retrieval
+* LWP::simple, a Perl module to access web pages and eventually Digest::MD5
+and Unicode::UCD depending your choice of options
+
+When using Musicbrainz DB one needs additionally: WebService::MusicBrainz
+and the discid-tool or MusicBrainz::DiscID.
+
+The program will do the following without user intervention:
+
+* get the audio CD Album/Artist/Tracks information from MusicBrainz or freeCDDB
+* rip the audio CD Tracks
+* encode to Flac, mp3, Ogg-Vorbis, mpc, m4a or als
+* id3 tag encoded songs
+* create a playlist (m3u) file
+* optionally generate a toc or inf files for DAO burning with, CD-text
+* optionally prepare and send a CDDB submission and save it locally
+* optionally extract hidden songs and split ghost songs
+* optionally create md5sum files for all tracks
+* run several encoder processes at the same time and same run
diff --git a/multimedia/ripit/doinst.sh b/multimedia/ripit/doinst.sh
new file mode 100644
index 0000000000..63523ebd11
--- /dev/null
+++ b/multimedia/ripit/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ripit/config.new
+
diff --git a/multimedia/ripit/ripit.SlackBuild b/multimedia/ripit/ripit.SlackBuild
new file mode 100644
index 0000000000..7ba42fbb15
--- /dev/null
+++ b/multimedia/ripit/ripit.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+# Slackware build script for ripit
+
+# Copyright 2011 Grigorios Bouzakis <grbzks@xsmail.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ripit
+VERSION=${VERSION:-3.9.0}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="HISTORY LICENSE README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make INSTALL=/bin/install prefix=$PKG/usr mandir=$PKG/usr/man/man1 etcdir=$PKG/etc/ripit install
+
+mv $PKG/etc/ripit/config $PKG/etc/ripit/config.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ripit/ripit.info b/multimedia/ripit/ripit.info
new file mode 100644
index 0000000000..4bdb0b10f7
--- /dev/null
+++ b/multimedia/ripit/ripit.info
@@ -0,0 +1,10 @@
+PRGNAM="ripit"
+VERSION="3.9.0"
+HOMEPAGE="http://www.suwald.com/ripit/news.php"
+DOWNLOAD="http://suwald.com/ripit/ripit-3.9.0.tar.gz"
+MD5SUM="34210d4ee72c288be31f75340c5351d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@xsmail.com"
+APPROVED="Niels Horn"
diff --git a/multimedia/ripit/slack-desc b/multimedia/ripit/slack-desc
new file mode 100644
index 0000000000..92003347de
--- /dev/null
+++ b/multimedia/ripit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ripit: ripit (command line audio CD ripper)
+ripit:
+ripit: RipIT is used to create MPEG-1 Layer 3 (mp3) using Lame, or uses Flac
+ripit: (flac), Ogg Vorbis (ogg), Faac (m4a), Musepack (mpc), mp4als (als),
+ripit: Wavpack (wv) or ffmpeg to convert audio files (wav) extracted from an
+ripit: audio cd.
+ripit:
+ripit: Homepage: http://www.suwald.com/ripit/news.php
+ripit:
+ripit:
+ripit: